package com.dcs.hnyz.service;

import com.dcs.hnyz.domain.Equipment;
import com.dcs.hnyz.domain.vo.EquipmentFormVO;

import java.util.List;
import java.util.Map;

/**
 * 设备管理Service接口
 * 
 * @author hmy
 * @date 2025-04-22
 */
public interface IEquipmentService 
{
    /**
     * 查询设备管理
     * 
     * @param equipmentId 设备管理主键
     * @return 设备管理
     */
    public Equipment selectEquipmentByEquipmentId(Long equipmentId);

    /**
     * 查询设备管理列表
     * 
     * @param equipment 设备管理
     * @return 设备管理集合
     */
    public List<Equipment> selectEquipmentList(Equipment equipment);

    /**
     * 查询设备管理列表
     * @param equipment
     * @return
     */
    public List<EquipmentFormVO> selectEquipmentForm(Equipment equipment);


    /**
     * 新增设备管理
     * 
     * @param equipment 设备管理
     * @return 结果
     */
    public int insertEquipment(Equipment equipment);

    /**
     * 修改设备管理
     * 
     * @param equipment 设备管理
     * @return 结果
     */
    public int updateEquipment(Equipment equipment);

    int updateEquipmentByPlcId(Long plcId);

    /**
     * 批量删除设备管理
     * 
     * @param equipmentIds 需要删除的设备管理主键集合
     * @return 结果
     */
    public int deleteEquipmentByEquipmentIds(Long[] equipmentIds);

    /**
     * 删除设备管理信息
     * 
     * @param equipmentId 设备管理主键
     * @return 结果
     */
    public int deleteEquipmentByEquipmentId(Long equipmentId);

    /**
     * 获取设备名称列表(树状)
     * @param dataType
     * @return
     */
    List<Map<String,Object>> getEquipmentNameList(String dataType);

    /**
     * 获取传感器相关的设备类型列表
     * @return
     */
    List<Map<String,Object>> getEquipmentSensorTree();

}
